Bug 1142911 - LTO: kicad build fails due to undefined reference to toplevel assembly function
LTO: kicad build fails due to undefined reference to toplevel assembly function
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Stefan Brüns
E-mail List
:
Depends on:
Blocks: 1133084
  Show dependency treegraph
 
Reported: 2019-07-25 20:02 UTC by Stefan Brüns
Modified: 2020-12-30 10:02 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Brüns 2019-07-25 20:02:08 UTC
Kicads libcontext.cpp contains toplevel assembly, which fails to link:

https://build.opensuse.org/package/live_build_log/electronics/kicad/openSUSE_Tumbleweed/x86_64

https://github.com/KiCad/kicad-source-mirror/blob/master/common/system/libcontext.cpp

PLD Linux has a patch to replace the toplevel assembly with a "naked" function:
http://git.pld-linux.org/?p=packages/kicad.git;f=lto.patch;h=ad2c2f023eb7ffeefef2c1fd4cff1fdc9f6b3156;hb=HEAD

To me, using a naked function appears better than disabling LTO for the generated object file.
Comment 1 Stefan Brüns 2019-07-25 20:03:49 UTC
Can you comment on the patch from PLD linux?
Comment 2 Martin Liška 2019-07-26 07:43:13 UTC
Yes, I welcome the usage of naked functions.
Comment 3 Andreas Stieger 2020-12-30 10:02:32 UTC
cleaning up... since kicad is currently building this should be fixed.